nav.topbar {
  position: fixed;
  top: 0;
  left: 0;
  height: 48px;
  width: 100%;
  margin: 0;
  padding: 0;
  background-color: #333;
}

nav.topbar > ul {
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  list-style-type: none;
  display: flex;
}

.topbar-left {
}

.topbar-right {
  text-align: right;
}

.topbar-center {
  flex-grow: 1;
}

.topbar-text {
  display: inline-block;
  color: white;
  padding: 12px 16px;
  background-color: inherit;
  font-size: 16px;
  box-sizing: border-box;
  height: 48px;
  font-family: serif;
  line-height: 24px;
  cursor: default;
}

.topbar-button {
  border: none;
  outline: none;
  color: white;
  padding: 12px 16px;
  background-color: inherit;
  cursor: pointer;
  font-size: 16px;
  box-sizing: border-box;
  height: 48px;
  font-family: serif;
}

li:hover > button.topbar-button:not(.dropdown-button) {
  background-color: #555;
}


.topbar-button.dropdown-button:not(.mdi) {
  padding: 12px 6px 12px 16px;
}
.dropdown-button {
  display: flex;
}
.dropdown-button > span {
  flex-grow: 1;
}
.dropdown-button > .mdi {
  flex-grow: 0;
  padding-left: 6px;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #eee;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  list-style: none inside;
}

.topbar-right .dropdown-content {
  right: 0;
}

li:hover > .dropdown-button {
  background-color: #555;
}

li:hover > .dropdown-content {
  display: block;
}

.topbar-button.mdi {
  padding: 8px 16px;
  font-size: 30px;
}


.menu-button {
  width: 300px;
  height: 48px;
  border: none;
  outline: none;
  color: black;
  padding: 16px 6px 16px 16px;
  background-color: inherit;
  cursor: pointer;
  text-align: left;
  font-family: inherit;
  font-size: inherit;
  display: flex;
}

.menu-content {
  width: 300px;
  padding: 0;
  display: none;
  background-color: #eee;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  list-style: none inside;
  white-space: nowrap;
}

.menu-button > span {
  flex-grow: 1;
}
.menu-button > i.mdi {
  padding-left: 6px;
  flex-grow: 0;
}

li:hover > .menu-button {
  color: white;
  background-color: #555;
}

li:hover > .menu-content {
  display: block;
  margin-left: 300px;
  margin-top: -48px;
}


li:hover > .station-list {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
}

.station-list {
  padding: 0;
  width: 300px;
}

.station-list > li {
  padding: 0;
  width: 75px;
}

a.station {
  height: 16px;
  font-size: inherit;
  color: black;
  padding: 16px 16px;
  text-decoration: none;
  text-align: center;
  display: block;
}

a.station.active {
  background-color: #08f;
  color: white;
}

a.station:hover:not(.active) {
  background-color: #555;
  color: white;
}


.mode-list {
  width: 300px;
  padding: 0;
}

.mode-list li {
  height: 48px;
  width: 100%;
}

a.mode {
  height: 16px;
  font-size: inherit;
  color: black;
  padding: 16px 16px;
  text-decoration: none;
  display: block;
}

a.mode.active {
  background-color: #08f;
  color: white;
}

a.mode:hover:not(.active) {
  background-color: #555;
  color: white;
}


.main-menu-list {
  width: 200px;
  padding: 0;
}

a.main-menu-item {
  height: 16px;
  font-size: inherit;
  color: black;
  padding: 16px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
}

a.main-menu-item:hover {
  background-color: #555;
  color: white;
}